export const colorLegend = (selection, props) => {
  const {
    colorScale,                
    scoreScale,
    score,
    spacing,
    textOffset,
    numTicks,
    tickFormat
  } = props;

     var renkler = [{"color":"#000004","value":0},
                {"color":"#02020c","value":5},
                {"color":"#050417","value":10},
                {"color":"#0a0722","value":15},
                {"color":"#10092d","value":20},
                {"color":"#160b39","value":25},
                {"color":"#1e0c45","value":30},
                {"color":"#260c51","value":35},
                {"color":"#2f0a5b","value":40},
                {"color":"#380962","value":45},
                {"color":"#400a67","value":50},
                {"color":"#490b6a","value":55},
                {"color":"#510e6c","value":60},
                {"color":"#59106e","value":65},
                {"color":"#61136e","value":70},
                {"color":"#69166e","value":75},
                {"color":"#71196e","value":80},{"color":"#781c6d","value":85},{"color":"#801f6c","value":90},{"color":"#88226a","value":95},{"color":"#902568","value":100},{"color":"#982766","value":105},{"color":"#a02a63","value":110},{"color":"#a82e5f","value":115},{"color":"#b0315b","value":120},{"color":"#b73557","value":125},{"color":"#bf3952","value":130},{"color":"#c63d4d","value":135},{"color":"#cc4248","value":140},{"color":"#d34743","value":145},{"color":"#d94d3d","value":150},{"color":"#df5337","value":155},{"color":"#e45a31","value":160},{"color":"#e9612b","value":165},{"color":"#ed6925","value":170},{"color":"#f1711f","value":175},{"color":"#f47918","value":180},{"color":"#f78212","value":185},{"color":"#f98b0b","value":190},{"color":"#fa9407","value":195},{"color":"#fb9d07","value":200},{"color":"#fca60c","value":205},{"color":"#fcb014","value":210},{"color":"#fbba1f","value":215},{"color":"#fac42a","value":220},{"color":"#f8cd37","value":225},{"color":"#f6d746","value":230},{"color":"#f4e156","value":235},{"color":"#f2ea69","value":240},{"color":"#f2f27d","value":245},{"color":"#f5f992","value":250}];
 
  var extent = d3.extent(renkler, d => d.value);
  console.log("extent " + extent);
  
  
  const ticks = scoreScale.ticks(numTicks)
    .filter(d => d !== 0);

  const groups = selection.selectAll('g').data(ticks);
 
/*  const groupsEnter = groups
    .enter().append('g')
      .attr('class', 'tickL');
    
  groupsEnter.merge(groups)
      .attr('transform', (d, i) =>
        `translate(${i * spacing*3.8}, 0)`
      );

  groups.exit().remove();
  
  groupsEnter.append('svg:rect')
    .merge(groups.select('legend-rect'))
        .attr("x",-15)
        .attr("y",-10)
        .attr("width",35)
        .attr("height",25);
        .style("fill", "rgb(105,125,125)");
        
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(tickFormat)
      .attr('dy', '2.3em') 
      .attr('x', ticks + 5);
  */

  groups
   .enter().append('svg:rect')
        .attr("x",-15)
        .attr("y",-10)
        .attr("width",15)
        .attr("height",25)
        .style("fill", "yellow");
}