export const colorLegend = (selection, props) => {
  const {
    myGradient,
    colorScale,                
    scoreScale,
    score,
    spacing,
    textOffset,
    numTicks,
    tickFormat
  } = props;
  
  const ticks = scoreScale.ticks(numTicks)
    .filter(d => d !== 0);

  const groups = selection.selectAll('g').data(ticks);

  groups
   .enter().append('svg:rect')
        .attr("x",-15)
        .attr("y",-10)
        .attr("width",195)
        .attr("height",25)
        .style("fill", "url(#myGradient)");


}